Bug 1046766 (CVE-2017-10683)

Summary: VUL-1: CVE-2017-10683: mpg123: Heap buffer overflow in convert_latin1
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Luigi Baldoni <aloisio>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/187631/
Whiteboard: CVSSv2:NVD:CVE-2017-10683:5.0:(AV:N/AC:L/Au:N/C:N/I:N/A:P) CVSSv2:NVD:CVE-2017-11126:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:NVD:CVE-2017-9545:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv3:NVD:CVE-2017-9545:5.5:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H) CVSSv3:RedHat:CVE-2017-10683:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv3:RedHat:CVE-2017-11126:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv3:RedHat:CVE-2017-12797:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv3:RedHat:CVE-2017-9545:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv3:RedHat:CVE-2017-9870:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv3:NVD:CVE-2017-10683:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H) CVSSv3:NVD:CVE-2017-11126:5.5:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: Reproducer

Description Johannes Segitz 2017-06-30 06:08:44 UTC
Created attachment 730817 [details]
Reproducer

rh#1465819

In mpg123 1.25.0, there is a heap-based buffer over-read in the convert_latin1
function in libmpg123/id3.c. A crafted input will lead to a remote denial of
service attack.

Use valgrind for the reproducer.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1465819
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-10683
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10683
Comment 1 Luigi Baldoni 2017-06-30 06:58:09 UTC
Can't reproduce with 1.24.0.

Saved by tardiness, I suppose.
Comment 2 Luigi Baldoni 2017-07-03 07:05:23 UTC
Fix submitted (1.25.1 update).
Comment 3 Johannes Segitz 2017-07-10 08:18:56 UTC
Thank you. https://blogs.gentoo.org/ago/2017/07/03/mpg123-global-buffer-overflow-in-iii_i_stereo-layer3-c/ aka CVE-2017-11126 will also be fixed by this submit
Comment 4 Luigi Baldoni 2017-07-10 08:39:45 UTC
Waiting on sr#507725 .
Comment 5 Luigi Baldoni 2017-07-17 10:22:37 UTC
Fix submitted.
Comment 6 Bernhard Wiedemann 2017-07-24 08:00:24 UTC
This is an autogenerated message for OBS integration:
This bug (1046766) was mentioned in
https://build.opensuse.org/request/show/512179 42.3 / mpg123
Comment 7 Swamp Workflow Management 2017-07-29 13:10:10 UTC
openSUSE-RU-2017:2010-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1046766
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    mpg123-1.25.3-3.1
Comment 8 Bernhard Wiedemann 2017-09-29 12:00:57 UTC
This is an autogenerated message for OBS integration:
This bug (1046766) was mentioned in
https://build.opensuse.org/request/show/529896 42.3 / mpg123
Comment 9 Bernhard Wiedemann 2017-10-04 18:00:52 UTC
This is an autogenerated message for OBS integration:
This bug (1046766) was mentioned in
https://build.opensuse.org/request/show/531415 42.3 / mpg123
Comment 10 Swamp Workflow Management 2017-10-10 10:10:04 UTC
openSUSE-SU-2017:2682-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1046766
CVE References: CVE-2017-10683
Sources used:
openSUSE Leap 42.3 (src):    mpg123-1.25.7-10.1